apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: amq-broker
  application: tomr-app
spec:
  deploymentPlan:
    #    extraMounts:
    #  configMaps:
    #  - "newlog4j-logging-config"
    size: 2
    image: placeholder
    requireLogin: false
    persistenceEnabled: true
    journalType: nio
    messageMigration: false
    resources:
      limits:
        cpu: 500m
        memory: 1024Mi
      requests:
        cpu: 250m
        memory: 512Mi
    storage:
      size: "4Gi"
    jolokiaAgentEnabled: true
    managementRBACEnabled: true
  brokerProperties:
    - 'clusterConfigurations.my-cluster.producerWindowSize=-1'
    - 'addressSettings.#.redeliveryMultiplier=2'
    - criticalAnalyzer=true
    - criticalAnalyzerTimeout=9000
    - criticalAnalyzerCheckPeriod=-1
    - critical-analyzer-policy=LOG
#    - "AMQPConnections.my-mirror.uri=tcp://localhost:61617"
#    - "AMQPConnections.my-mirror.user=admin"
#    - "AMQPConnections.my-mirror.password=password"
#    - "AMQPConnections.my-mirror.connectionElements.mirror.type=MIRROR"
#    - "addressConfigurations.readinessqueue.queueConfigs.readinessqueue.routingType=ANYCAST"
#    - "addressConfigurations.tomrQueue.queueConfigs.tomrQueue.routingType=ANYCAST"
    - "addressConfigurations.tomrTopic.COMMANDS.routingTypes=MULTICAST"
  console:
    expose: true
  adminUser: admin
  adminPassword: quick123+
  addressSettings:
    applyRule: merge_all 
    addressSetting:
    - match: '#'
      deadLetterAddress: DLQ
      expiryAddress: ExpiryQueue
      autoCreateAddresses: false
      autoCreateQueues: false
      autoDeleteAddresses: false
      autoDeleteQueuees: false
  acceptors:
    - name: artemis
      protocols: CORE
      port: 61616
      expose: false
      sslEnabled: false
      anycastPrefix: jms.queue.
      multicastPrefix: jms.topic.
    - name: artemis-ssl
      protocols: CORE,MQTT
      port: 61617
      expose: true
      sslEnabled: true
      connectionsAllowed: 50
      sslSecret: amq-tls-secret
#      enabledProtocols: TLSv1.2,TLSv1.3
#      needClientAuth: true
#      wantClientAuth: true
#      verifyHost: false
#      sslProvider: JDK
#      sniHost: broker-ocp
      anycastPrefix: jms.queue.
      multicastPrefix: jms.topic.
    - name: amqps
      protocols: amqp
      port: 5672
      sslEnabled: true
      sslSecret: amq-tls-secret
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
      needClientAuth: true
      wantClientAuth: true
      verifyHost: true
      sslProvider: JDK
      sniHost: localhost
      expose: true
      anycastPrefix: jms.queue.
      multicastPrefix: jms.topic.
  connectors:
    - name: connector0
      host: localhost
      port: 22222
      sslEnabled: false
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
      needClientAuth: true
      wantClientAuth: true
      verifyHost: true
      sslProvider: JDK
      sniHost: localhost
      expose: true
  upgrades:
      enabled: false
      minor: false

